commit:     e1d7a20c2fd0bdd1fb607ada48244f3652100ddf
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Tue Jul 16 15:57:01 2024 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Jul 21 15:05:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1d7a20c

x11-misc/fraqtive: add 0.4.8.1

Closes: https://bugs.gentoo.org/900757
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/37581
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 x11-misc/fraqtive/Manifest                |  1 +
 x11-misc/fraqtive/fraqtive-0.4.8.1.ebuild | 50 +++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/x11-misc/fraqtive/Manifest b/x11-misc/fraqtive/Manifest
index 309b824fe76e..ae656c25fbcf 100644
--- a/x11-misc/fraqtive/Manifest
+++ b/x11-misc/fraqtive/Manifest
@@ -1 +1,2 @@
+DIST fraqtive-0.4.8.1.tar.gz 291381 BLAKE2B 
a5f93d42767c35ff7e27c87e89133a1c9d045acbb8b59c87799c5b838361aaba47af6ef001914f29eb27e2830ec3bdebe36111c1ae65e1f18a219367d168397c
 SHA512 
d08659305dcc698a1fd0a81a833e4ffb8bc6496f7a95d7908d9f64ba1b51f9585be9b51ff44a15ca3a051d478ba0e04803f16cfd9abc56f426c8aa2f3e094c80
 DIST fraqtive-0.4.8.tar.bz2 260484 BLAKE2B 
0bbbd983af324c38fb73db043e808de6cbf8e3e39073163b748215a2a3a374e53e4118b7fb0993685d3eef4ef6b65afcc51c5a7d23f4ab91ffc2dfd41305171d
 SHA512 
8b4be81dd14fe086dbcffda123395ccb30a197e7762e590bc3ab7dc1d0aafb44dc45e1445e2f83198a0c1f4b9ea0d54a7de1989c3b85c0f2e5f474a67255d942

diff --git a/x11-misc/fraqtive/fraqtive-0.4.8.1.ebuild 
b/x11-misc/fraqtive/fraqtive-0.4.8.1.ebuild
new file mode 100644
index 000000000000..94004917cc29
--- /dev/null
+++ b/x11-misc/fraqtive/fraqtive-0.4.8.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qmake-utils toolchain-funcs xdg
+
+DESCRIPTION="Open source, multi-platform generator of the Mandelbrot family 
fractals"
+HOMEPAGE="https://fraqtive.mimec.org/ https://github.com/mimecorg/fraqtive";
+SRC_URI="https://github.com/mimecorg/fraqtive/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cpu_flags_x86_sse2"
+
+BDEPEND="
+       virtual/pkgconfig
+"
+DEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtopengl:5
+       dev-qt/qtxml:5
+       virtual/glu
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       tc-export PKG_CONFIG
+       sed -i -e "s|-lGLU|$( ${PKG_CONFIG} --libs glu )|g" src/src.pro || die
+       local conf="release"
+
+       if use cpu_flags_x86_sse2; then
+               conf="$conf sse2"
+       else
+               conf="$conf no-sse2"
+       fi
+
+       echo "CONFIG += $conf" > config.pri || die
+       echo "PREFIX = ${EPREFIX}/usr" >> config.pri || die
+       # Don't strip wrt #252096
+       echo "QMAKE_STRIP =" >> config.pri || die
+
+       eqmake5
+}
+
+src_install() {
+       emake INSTALL_ROOT="${D}" install
+}

Reply via email to